// -*- coding: utf-8 -*-
// Filename: QVTelescopii.sc
// JackDole (Gerhard H. Quast) 2020.05.07 04:43:24

// https://www.eso.org/public/archives/releases/sciencepapers/eso2007/eso2007a.pdf
//------------------------------------------------------------------------------

LogLevel 1

Barycenter  "HD167128_XA"
{
    ParentBody  "HD 167128"
    
    Orbit 
    {
        Epoch           2453177.94
        RefPlane        "ExtraSolar"
        
        // Fictional --------------------
        SemiMajorAxis   0.542690058
        Period          0.489420232
        ArgOfPericenter 20      //135
        Inclination     -60
        AscendingNode   -80
        MeanAnomaly     0
        // ------------------------------
    }
}

Star "HR 6819 X"
{
    ParentBody  "HD167128_XA"
    Class       "X"
    
    MassSol     5
    
    NoAccretionDisk true
    
    Orbit 
    {
        Epoch           2453177.94
        RefPlane        "ExtraSolar"
        PeriodDays      40.333
        Eccentricity    0.03
        ArgOfPericenter -91
        
        // Fictional --------------------
        Inclination     -60
        AscendingNode   -80
        MeanAnomaly     0
        // ------------------------------
    }
}

Star "HR 6819 A"
{
    ParentBody  "HD167128_XA"
    Class       "B3 III"
    
    MassSol     6.3
 
    Orbit 
    {
        Epoch           2453177.94
        RefPlane        "ExtraSolar"
        PeriodDays      40.333
        Eccentricity    0.03
        ArgOfPericenter 89
        
        // Fictional --------------------
        Inclination     -60
        AscendingNode   -80
        MeanAnomaly     0
        // ------------------------------
    }
}

Star "HR 6819 B"
{
    ParentBody  "HD 167128"
    Class       "Be"
    
    MassSol     5.8
 
    Orbit 
    {
        Epoch           2453177.94
        RefPlane        "ExtraSolar"
        
        // Fictional --------------------
        SemiMajorAxis   1.057309942
        Period          0.489420232
        ArgOfPericenter -160        //-45
        Inclination     -60
        AscendingNode   -80
        MeanAnomaly     0
        // ------------------------------
    }
}

//------------------------------------------------------------------------------
